PCI Utilities

From CBLFS
Jump to: navigation, search
Download Source: ftp://atrey.karlin.mff.cuni.cz/pub/linux/pci/pciutils-3.1.10.tar.gz

Contents

Introduction to PCI Utilities

PCI Utilities are various utilities that allow inspection and setting of devices connected to the PCI bus.

Project Homepage: http://mj.ucw.cz/sw/pciutils/

Dependencies

Required

Optional

Non-Multilib

Compile the package:

make PREFIX=/usr CC="gcc -fPIC" ZLIB=no SHARED=yes

Install the package

make PREFIX=/usr SHARED=yes install

Some packages require the PCI static library. To install the library and headers, issue the following command:

make PREFIX=/usr SHARED=yes install-lib

Command Explanations

ZLIB=no: This will make the pci.ids file usable for anything that expects an uncompressed version of the pci.ids file. Without this command the file would be called pci.ids.gz, which is not compatbile with some programs. Compression of pci.ids was added with the 2.2.4 release. If compressed support is enabled by ZLIB=yes, pciutils will use pci.ids.gz in preference to pci.ids, even if the pci.ids file is newer. If the pci.ids.gz file is missing, it will use pci.ids instead. You can turn on compression support and uncompress pci.ids.gz to pci.ids after every update manually.

Multilib

32Bit

Compile the package:

make PREFIX=/usr CC="gcc ${BUILD32} -fPIC" ZLIB=no SHARED=yes

Install the package

make PREFIX=/usr SHARED=yes install

Some packages require the PCI static library. To install the library and headers, issue the following commands:

make PREFIX=/usr SHARED=yes install-lib

N32

Compile the package:

make PREFIX=/usr LIBDIR=/usr/lib32 CC="gcc ${BUILDN32} -fPIC" ZLIB=no SHARED=yes

Install the package

make PREFIX=/usr LIBDIR=/usr/lib32 SHARED=yes install

Some packages require the PCI static library. To install the library and headers, issue the following command:

make PREFIX=/usr LIBDIR=/usr/lib32 SHARED=yes install-lib

64Bit

Compile the package:

make PREFIX=/usr LIBDIR=/usr/lib64 CC="gcc ${BUILD64} -fPIC" ZLIB=no SHARED=yes

Install the package

make PREFIX=/usr LIBDIR=/usr/lib64 SHARED=yes install

Some packages require the PCI static library. To install the library and headers, issue the following command:

make PREFIX=/usr LIBDIR=/usr/lib64 SHARED=yes install-lib

Configuring

pci.ids

The pci.ids data file is constantly being updated. To get a current version of this file run update-pciids. This program requires Which to find Curl, Wget, or Lynx which is used to download the most current file.

Contents

Installed Programs: lspci, setpci and update-pciids
Installed Libraries: libpci.a
Installed Directories: /usr/include/pci

Short Descriptions

lspci is a utility for displaying information about all PCI buses in the system and all devices connected to them.
setpci is a utility for querying and configuring PCI devices.
update-pciids fetches the current version of the PCI ID list. Requires Curl, Wget or Lynx.
libpci.a is the static library that allows applications to access the PCI subsystem.
Personal tools